﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="HWhBsp.Validierung.Default" %>

<!DOCTYPE html>
<html>
    <head>
        <title>Validierung - ASP.NET Code-Beispiel</title>

        <meta charset="utf-8" />

        <meta name="robots" content="noindex,nofollow" />
        <meta name="publisher" content="Homepage-Webhilfe" />
    </head>
    
    <body>
        <form action="Default.aspx" method="post" runat="server">
            <%
                // Eingaben nur prüfen, wenn das Formular übertragen wurde
                if (this.Request.HttpMethod == "POST")
                {
                    Validate();
                    if (!this.IsValid)
                        Response.Write("Ihre Eingaben enthalten Fehler!");
                    else
                        Response.Write("Ihre Eingaben sind gültig!");
                }
            %>
            <table>
                <tr>
                    <td style="width: 100px;">Alter:</td>
                    <td>
                        <asp:TextBox ID="Alter" runat="server" />
                        <asp:RangeValidator ControlToValidate="Alter" MinimumValue="12" MaximumValue="40" ErrorMessage="Sie müssen zwischen 12 und 40 Jahre alt sein!" Type="Integer" Display="Dynamic" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td style="width: 100px;">E-Mail-Adresse:</td>
                    <td>
                        <asp:TextBox ID="EMailAdresse" runat="server" />
                        <asp:RequiredFieldValidator ControlToValidate="EMailAdresse" ErrorMessage="Bitte geben Sie eine E-Mail-Adresse ein!" Display="Dynamic" runat="server" />
                        <asp:RegularExpressionValidator ControlToValidate="EMailAdresse" ErrorMessage="Das Format der E-Mail-Adresse ist ungültig!" ValidationExpression="[a-zA-Z0-9.!#$%&'*+-/=?^_`{|}~]{1,}@[a-zA-Z0-9.!#$%&'*+-/=?^_`{|}~]{1,}\.[a-zA-Z0-9.!#$%&'*+-/=?^_`{|}~]{1,}" Display="Dynamic" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td><input type="submit" value="Absenden" /></td>
                </tr>
            </table>
        </form>
    </body>
</html>